## org.exist.xquery.test
Class XQueryFunctionsTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.XQueryFunctionsTest

All Implemented Interfaces:
  junit.framework.Test

public class XQueryFunctionsTest
extends junit.framework.TestCase

Tests for various standart XQuery functions

Author:
  jens

Constructor Summary
`XQueryFunctionsTest(java.lang.String arg0)` Constructor for XQueryFunctionsTest.

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testAvg()`
`void` `testBase64BinaryCast()`
`void` `testCollectionExists1()`
`void` `testCollectionExists2()`
`void` `testCompare()`
`void` `testCurrentDateTime()`
`void` `testDeepEqual()`
`void` `testDistinctValues()`
`void` `testEncodeForURI()`
`void` `testEscapeHTMLURI()`
`void` `testExclusiveLock()`
`void` `testIRIToURI()`
`void` `testLocalName()`
`void` `testMax()`
`void` `testMin()`
`void` `testResolveQName()`
`void` `testRoundHtE_DOUBLE()` Tests the XQuery-/XPath-function fn:round-half-to-even with the rounding value typed xs:double
`void` `testRoundHtE_INTEGER()` Tests the XQuery-/XPath-function fn:round-half-to-even with the rounding value typed xs:integer
`void` `testSecondsFromDateTime()`
`void` `testSharedLock()`
`void` `testSum()`
`void` `testTokenize()` Tests the XQuery-XPath function fn:tokenize()
`void` `testUtilEval()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQueryFunctionsTest

    public XQueryFunctionsTest(java.lang.String arg0)

  Constructor for XQueryFunctionsTest.

Parameters:
  `arg0` -

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws XPathException

  Throws:
    `XPathException`

### testRoundHtE_INTEGER

    public void testRoundHtE_INTEGER()
                              throws XPathException

  Tests the XQuery-/XPath-function fn:round-half-to-even with the rounding value typed xs:integer

  Throws:
    `XPathException`

### testRoundHtE_DOUBLE

    public void testRoundHtE_DOUBLE()
                             throws XPathException

  Tests the XQuery-/XPath-function fn:round-half-to-even with the rounding value typed xs:double

  Throws:
    `XPathException`

### testTokenize

    public void testTokenize()
                      throws XPathException

  Tests the XQuery-XPath function fn:tokenize()

  Throws:
    `XPathException`

### testDeepEqual

    public void testDeepEqual()
                       throws XPathException

  Throws:
    `XPathException`

### testCompare

    public void testCompare()
                     throws XPathException

  Throws:
    `XPathException`

### testDistinctValues

    public void testDistinctValues()
                            throws XPathException

  Throws:
    `XPathException`

### testSum

    public void testSum()
                 throws XPathException

  Throws:
    `XPathException`

### testAvg

    public void testAvg()
                 throws XPathException

  Throws:
    `XPathException`

### testMin

    public void testMin()
                 throws XPathException

  Throws:
    `XPathException`

### testMax

    public void testMax()
                 throws XPathException

  Throws:
    `XPathException`

### testExclusiveLock

    public void testExclusiveLock()
                           throws XPathException

  Throws:
    `XPathException`

### testUtilEval

    public void testUtilEval()
                      throws XPathException

  Throws:
    `XPathException`

### testSharedLock

    public void testSharedLock()
                        throws XPathException

  Throws:
    `XPathException`

### testEncodeForURI

    public void testEncodeForURI()

### testIRIToURI

    public void testIRIToURI()

### testEscapeHTMLURI

    public void testEscapeHTMLURI()

### testLocalName

    public void testLocalName()
                       throws XPathException

  Throws:
    `XPathException`

### testCurrentDateTime

    public void testCurrentDateTime()
                             throws XPathException

  Throws:
    `XPathException`

### testSecondsFromDateTime

    public void testSecondsFromDateTime()

### testResolveQName

    public void testResolveQName()

### testCollectionExists1

    public void testCollectionExists1()

### testCollectionExists2

    public void testCollectionExists2()

### testBase64BinaryCast

    public void testBase64BinaryCast()

Copyright (C) Wolfgang Meier. All rights reserved.